Subject: Re: [PATCH 15/15] ppc/vio: ensure dma_coherent_mask is set

From: Grant Likely <[email-masked]>
Date: Wed, 15 Sep 2010 12:49:32 -0600

On Wed, Sep 15, 2010 at 11:44:56AM -0700, Nishanth Aravamudan wrote:
> On 15.09.2010 [12:37:58 -0600], Grant Likely wrote:
> > On Wed, Sep 15, 2010 at 12:05 PM, Nishanth Aravamudan <[email-masked]> wrote:
> > > Without this change drivers, such as ibmvscsi, fail to load with the
> > > previous change.
> > 
> > Shouldn't this patch be ordered before the previous change then to
> > preserve bisectability?
> 
> You are probably right. I wasn't sure if I should fold it in or keep it
> separate. I should have changed the order, though. Sorry about that!

It's such a small patch I would just fold it in.

> 
> > Also, patch descriptions should be explicit about what the "previous
> > change" refers to.  Once this is committed, git log may very well
> > insert other changes from other branches between this commit and
> > whatever "previous change" refers to.
> 
> Yep -- what's the best way to make the reference? By subject from the
> patch? Obviously I don't have the SHA1 with which the commit will go
> upstream.

By name should be good.  As long as a reader doesn't need background
information from your head to figure out why the change was made then
it should be okay.

g.